---
search:
  tags:
    - Games
    - GET
seo:
  description: >-
    Player lines, totals, and lineups. Reference for the GET
    /games/{id}/boxscore endpoint in the Hockay API.
sidebar:
  label: Player lines, totals, and lineups
  badge: GET
title: Player lines, totals, and lineups
type: openapi-operation
---
`GET /games/{id}/boxscore`

**Responses**

- `200` — OK
- `304` — Not modified (If-None-Match matched the ETag)
- `401` — Missing, unknown, revoked, or expired key
- `403` — This account cannot use this key class
- `404` — Not found (or not public yet)
- `409` — The game is not final yet
- `429` — Rate limited; retry after the Retry-After seconds

Response example, 200:

```json
{
  "data": {
    "gameId": "string",
    "players": [
      {
        "playerId": "string",
        "side": "home",
        "goals": -9007199254740991,
        "assists": -9007199254740991,
        "hits": -9007199254740991,
        "shots": -9007199254740991,
        "shotsOnGoal": -9007199254740991,
        "penalties": -9007199254740991,
        "penaltyMinutes": -9007199254740991,
        "fights": -9007199254740991,
        "saves": -9007199254740991,
        "goalsAgainst": -9007199254740991,
        "timeOnIce": -9007199254740991
      }
    ],
    "totals": {
      "home": {
        "goals": -9007199254740991,
        "shots": -9007199254740991,
        "shotsOnGoal": -9007199254740991,
        "hits": -9007199254740991,
        "penaltyMinutes": -9007199254740991,
        "fights": -9007199254740991,
        "saves": -9007199254740991
      },
      "away": {
        "goals": -9007199254740991,
        "shots": -9007199254740991,
        "shotsOnGoal": -9007199254740991,
        "hits": -9007199254740991,
        "penaltyMinutes": -9007199254740991,
        "fights": -9007199254740991,
        "saves": -9007199254740991
      }
    },
    "lineups": {
      "home": [
        {
          "playerId": "string",
          "position": "LW",
          "lineAssignment": "F1",
          "isStartingGoalie": true
        }
      ],
      "away": [
        {
          "playerId": "string",
          "position": "LW",
          "lineAssignment": "F1",
          "isStartingGoalie": true
        }
      ]
    }
  }
}
```
